# Generated from pry-suite-1.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pry-suite

Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 1%{?dist}
Summary: A metagem to install Pry with many useful plugins
License: MIT
URL: https://github.com/davidcelis/pry-suite
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
BuildArch: noarch

%description
pry-suite is designed to set up a nice Pry ecosystem out of the box. You are
given Pry with access to a suite of great plugins. This list is currently
comprised of pry-byebug (or pry-debugger for Ruby 1.9.x), pry-doc,
pry-docmore, pry-git, pry-highlight, pry-macro, pry-pretty-numeric, pry-rescue
and pry-stack_explorer. Finally, the gist gem is also included to enable Pry's
gist command.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Apr 19 2022 mockbuilder - 1.2.0-1
- Initial package
